Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.net.httpclient
Class AddCookieTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              net.sf.antcontrib.net.httpclient.AbstractHttpStateTypeTask
                  net.sf.antcontrib.net.httpclient.AddCookieTask

    public class AddCookieTask

extends AbstractHttpStateTypeTask

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`AddCookieTask()`

Method Summary
`void` | `addConfiguredCookie(org.apache.commons.httpclient.Cookie cookie)`
`protected void` | `execute(HttpStateType stateType)`

Methods inherited from class net.sf.antcontrib.net.httpclient.AbstractHttpStateTypeTask
`createCredentials, execute, setStateRefId`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddCookieTask

    public AddCookieTask()

Method Detail

### addConfiguredCookie

    public void addConfiguredCookie(org.apache.commons.httpclient.Cookie cookie)

### execute

    protected void execute(HttpStateType stateType)
                    throws org.apache.tools.ant.BuildException

  Specified by:
    `execute` in class `AbstractHttpStateTypeTask`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD